/**
 * Created by cgeek on 6/1/15.
 */




angular.module('controllers.item.couponUse', [])

.controller('CouponUseCtrl', function($scope,$rootScope, $location, $stateParams, $http,$ionicLoading) {

    $scope.tradeId = $stateParams.tradeId;
    $scope.code = {'code1':'', 'code2':'', 'code3':'', 'code4':'', 'code5':''};

    //统计
    $scope.useCoupon = function() {
        $scope.hideMessage = true;
        var code = '';
        for(var i=1; i<=5; i++) {
            if($scope.code['code'+i] =='' || $scope.code['code'+i] ==0) {
                return false;
            }
            code += $scope.code['code'+i];
        }
        if(code.length == 5) {
            $ionicLoading.show({template:'正在校验'});
            setTimeout(function(){
                $ionicLoading.hide();
            }, 3000);

            var url = 'http://m.shijieyou.com/mobileJson/useCoupon?callback=JSON_CALLBACK&code=' + code + '&id=' + $scope.tradeId;

            $http.jsonp(url).success(function(result){
                if(result.success) {
                    $ionicLoading.hide();
                    window.location.href = "#/app/item/pay/" +  $scope.tradeId;
                } else {
                    $ionicLoading.hide();
                    $scope.hideMessage = false;
                    $scope.message = result.msg;

                }
            });
        }
    }

})