/**
 * Created by cgeek on 5/17/15.
 */


angular.module('controllers.item', ['ionic'])

.controller('ItemCtrl', function($ionicLoading,$ionicPopup, $timeout,$rootScope, $scope,$http, $ionicNavBarDelegate) {

    $ionicNavBarDelegate.showBar(true);
    //$ionicNavBarDelegate.showBackButton(false);

    $scope.cardList = [];

    var offset = 0;
    var hasMore = true;
    var base_url = 'http://www.qiugonglue.com/api/v3/youme/index';

    $scope.doRefresh = function() {
        
        offset = 0;
        hasMore = true;

        $http({
            method: 'POST',
            url: base_url,
            data: {}
        }).success(function(result){
            if(result.code == 200) {
                $scope.cardList = result.data.card_list;
            }
            $scope.$broadcast('scroll.refreshComplete');
        }).error(function() {
            $scope.$broadcast('scroll.refreshComplete');
        });

    }

    $scope.doRefresh();

    //alert('itemCtrl');

});