/**
 * Created by cgeek on 6/1/15.
 */


angular.module('controllers.item.reviews', ['ionic', 'nl2br'])
.controller('ItemReviewsCtrl', function($scope,$rootScope,$location, $stateParams, $ionicPopup,
                                           $http, $ionicLoading) {
    var itemId = $stateParams.itemId;

    var url = "http://m.shijieyou.com/mobileJson/reviewList/" +itemId + "?_=1420774135367&callback=JSON_CALLBACK";
    $ionicLoading.show({template:'正在加载...'});
    setTimeout(function() {
        $ionicLoading.hide();
    }, 3000);

    if($location.search().back != null) {
        $rootScope.showNavCloseBtn = true;
    } else {
        $rootScope.showNavCloseBtn = false;
    }
    //获取详情页面信息
    $http.jsonp(url).success(function(result) {
        $ionicLoading.hide();
        $scope.reviewList = result.data.reviewList;
    });

    //刷新
    $scope.doRefresh = function() {
        $http.jsonp(url).success(function(result){
            $ionicLoading.hide();
            $scope.reviewList = result.data.reviewList;
        }).finally(function() {
            $scope.$broadcast('scroll.refreshComplete');
        });
    }

})