/**
 * Created by cgeek on 5/23/15.
 */

angular.module('controllers.seller.apply', ['services.models.seller'])

.controller('ApplyCtrl', function($scope, $rootScope, $state,  SellerModel, $ionicLoading) {

        $scope.applyInfo = {};

        var temp = window.localStorage.getItem('tempApplySeller');
        if(temp) {
            $scope.applyInfo = angular.fromJson(temp);
        }

        $scope.submitApply = function() {
            $ionicLoading.show({template:'正在加载...'});
            setTimeout(function(){
                $ionicLoading.hide();
            }, 9000);

            var applyData = $scope.applyInfo;
            applyData.qglUserId = window.localStorage.getItem('userId');

            window.localStorage.setItem('tempApplySeller', angular.toJson(applyData));

            SellerModel.apply(applyData).then(function(r){
                if(r.success && r.data > 0) {

                    window.localStorage.removeItem('tempApplySeller');

                    $ionicLoading.show({template:'恭喜你，申请成功'});
                    setTimeout(function(){
                        $ionicLoading.hide();

                        window.localStorage.setItem('localSellerId', r.data);
                        $rootScope.showDash = true;
                        $state.go('app.dash', {reload: true});
                    }, 1000);

                } else {
                    $ionicLoading.show({template:'服务器正忙，申请失败'});
                    setTimeout(function(){
                        $ionicLoading.hide();
                    }, 1000);
                }
            });
        }
});