/**
 * Created by cgeek on 5/19/15.
 */


angular.module('controllers.seller.goodsList', ['services.models.goods'])

.controller('GoodsListCtrl', function($scope, $rootScope, $location, $stateParams, $http, $ionicLoading, $ionicPopup, GoodsModel) {

        $scope.goodsList = [];
        var offset = 0;
        var hasMore = true;

        $scope.doRefresh = function() {
            GoodsModel.getAll().then(function(result){
                if(result.success) {
                    $scope.goodsList = result.data.itemList;
                }

                $scope.$broadcast('scroll.refreshComplete');
            });
        }

        $scope.doRefresh();

        $scope.moreDataCanBeLoaded = function() {
            return hasMore;
        }

        $scope.loadMore = function() {
            offset += 10;
            var params = {};
            params['offset'] = offset;
            GoodsModel.getAll(params).then(function(result){
                if(result.success) {
                    if(result.data.itemList.length > 0) {
                        angular.forEach(result.data.itemList, function(item) {
                            $scope.goodsList.push(item);
                        });
                    } else {
                        hasMore = false;
                    }
                } else {
                    hasMore = false;
                }
                $scope.$broadcast('scroll.infiniteScrollComplete');
            });
        }


    });
