/**
 * Created by cgeek on 5/22/15.
 */


angular.module('controllers.seller.orderDetail', ['services.models.order'])

.controller('OrderDetailCtrl', function($scope, OrderModel,$stateParams, $cordovaActionSheet, $cordovaCamera,
                                      $cordovaImagePicker, $cordovaFileTransfer, $ionicLoading) {

        $scope.data = {};
        var orderId = $stateParams.orderId ?  $stateParams.orderId : 0;

        $ionicLoading.show({template:'正在加载...'});
        setTimeout(function(){
            $ionicLoading.hide();
        }, 8000);

        OrderModel.getOne(orderId).then(function(result){
            $scope.data = result.data;
            $ionicLoading.hide();
        });

        $scope.refund = function() {

            $ionicLoading.show({template:'正在请求...'});
            setTimeout(function(){
                $ionicLoading.hide();
            }, 8000);

            OrderModel.refund(orderId).then(function(result){
                $ionicLoading.hide();
                $scope.data.tradeInfo.status = result.data;

            });
        }

        $scope.checkOrder = function() {

            $ionicLoading.show({template:'正在请求...'});
            setTimeout(function(){
                $ionicLoading.hide();
            }, 8000);

            OrderModel.confirmOrder(orderId).then(function(result) {
                $scope.data.tradeInfo.status = result.data;
                console.log(result);
                $ionicLoading.hide();

            });
        }
});
