

angular.module('controllers.user.cms', [])
.controller('UserCmsCtrl', function($ionicModal,$ionicLoading, $ionicPlatform,  $scope, $rootScope,
                                     $state, $stateParams, $http, $ionicNavBarDelegate) {
    var cmsId = $stateParams.cmsId;

    var url = "http://m.shijieyou.com/mobileJson/showMobileCms?cmsId=" +cmsId + "&callback=JSON_CALLBACK";
    $ionicLoading.show({template:'正在加载...'});
    setTimeout(function(){
        $ionicLoading.hide();
    }, 3000);

    $scope.loadData = function() {
        $http.jsonp(url).success(function(result){
            $ionicLoading.hide();
            $scope.cms = result.data.cms;
            if(result.data.cms && result.data.cms.title) {
                $ionicNavBarDelegate.title(result.data.cms.title);
            }

            $rootScope.showSideShareBtn = true;
            $rootScope.shareData = {'title':result.data.cms.title, 'cover_image':'http://qimages.b0.upaiyun.com/b35ceb85466f31cfdf3f8554fe4f8a62_small.jpg','cover_image_small':'http://qimages.b0.upaiyun.com/b35ceb85466f31cfdf3f8554fe4f8a62_small.jpg', 'url': 'http://m.shijieyou.com/cms/mshow/' + cmsId, 'content':result.data.cms.title};

        }).finally(function() {
            $ionicLoading.hide();
            $scope.$broadcast('scroll.refreshComplete');
        });
    }
    $scope.loadData();
    //刷新
    $scope.doRefresh = function() {
        $scope.loadData();
    }
})