/**
 * Created by cgeek on 5/17/15.
 */

angular.module('services.models.user',[])

.factory('UserModel', function($http, $q){

    var userModel = {};
    userModel.updateInfo = function(userInfo) {
        var deferred = $q.defer();

        $http({
            method:'POST',
            url: 'http://www.qiugonglue.com/api/v3/youme/updateUserInfo',
            data: userInfo
        }).success(function(data){
            deferred.resolve(data);
        }).error(function(){
            deferred.reject('服务器正忙...');
        });

        return deferred.promise;
    }
    return userModel;
});